Krusader me han desaparecido los Iconos

16 envíos / 0 nuevos
Último envío
#1 Lun, 23/01/2017 - 20:39
witopea
Imagen de witopea
Desconectado/a
se unió: 31/07/16

Krusader me han desaparecido los Iconos

Estado: 
[SOLUCIONADO]

Buenas noches compañeros.

Ayer hice un aptitude full-upgrade y me han desaparecido los iconos en la aplicación krusader. Mi maravilloso explorador de archivos al que estoy acostumbrado desde que me inicié en Linux.

Mi sistema es Debian Testing + Openbox.

Os mando el siguiente pantallazo. Cualquiera que utilice Krusader verá rápidamente que algo raro pasa.

Lun, 23/01/2017 - 21:45
Panko
Imagen de Panko
Desconectado/a
moderador
se unió: 18/02/16

aptitude full-upgrade... ¿Leíste lo que te dijo aptitude que iba a hacer? ¿Comprobaste que no te afectaba lo que desinstalaría en el caso de responder si?

Puedes ver lo que hizo aptitude en el archivo /var/log/aptitude

  No hay bar que por bien no venga....
Lun, 23/01/2017 - 21:58
rockyiii
Imagen de rockyiii
Desconectado/a
administrator
se unió: 11/01/16

podrias hacer un

su
cat /var/log/aptitude

para ver que se actualizó o desinstaló
PD: me gano de mano panko laugh

Mar, 24/01/2017 - 11:21
witopea
Imagen de witopea
Desconectado/a
se unió: 31/07/16

Hola, muchas gracias.

Aptitude 0.8.4: log report
Sun, Jan 22 2017 21:59:57 +0100

  IMPORTANT: this log only lists intended actions; actions which fail
  due to dpkg problems may not be completed.

Will install 82 packages, and remove 6 packages.
23.0 MB of disk space will be used
========================================
[INSTALL, DEPENDENCIES] firebird3.0-common:amd64 3.0.1.32609.ds4-12
[INSTALL, DEPENDENCIES] firebird3.0-common-doc:amd64 3.0.1.32609.ds4-12
[INSTALL, DEPENDENCIES] imagemagick-6-common:amd64 8:6.9.7.0+dfsg-2
[INSTALL, DEPENDENCIES] libjxr-tools:amd64 1.1-6
[INSTALL, DEPENDENCIES] libmagick++-6.q16-7:amd64 8:6.9.7.0+dfsg-2
[INSTALL, DEPENDENCIES] libmagickcore-6.q16-3:amd64 8:6.9.7.0+dfsg-2
[INSTALL, DEPENDENCIES] libmagickcore-6.q16-3-extra:amd64 8:6.9.7.0+dfsg-2
[INSTALL, DEPENDENCIES] libmagickwand-6.q16-3:amd64 8:6.9.7.0+dfsg-2
[INSTALL, DEPENDENCIES] libtommath1:amd64 1.0-3
[INSTALL, DEPENDENCIES] libxtables12:amd64 1.6.0+snapshot20161117-4
[INSTALL, DEPENDENCIES] python-scour:amd64 0.32-2
[REMOVE, DEPENDENCIES] libmagick++-6.q16-5v5:amd64 8:6.8.9.9-7.2+b1
[REMOVE, DEPENDENCIES] libmagickcore-6.q16-2:amd64 8:6.8.9.9-7.2+b1
[REMOVE, DEPENDENCIES] libmagickcore-6.q16-2-extra:amd64 8:6.8.9.9-7.2+b1
[REMOVE, DEPENDENCIES] libmagickwand-6.q16-2:amd64 8:6.8.9.9-7.2+b1
[REMOVE, DEPENDENCIES] libreoffice-sdbc-firebird:amd64 1:5.2.2~rc2-2
[REMOVE, DEPENDENCIES] libxtables11:amd64 1.6.0-3
[UPGRADE] emacs24:amd64 24.5+1-7 -> 24.5+1-7.1+b1
[UPGRADE] emacs24-bin-common:amd64 24.5+1-7 -> 24.5+1-7.1+b1
[UPGRADE] emacs24-common:amd64 24.5+1-7 -> 24.5+1-7.1
[UPGRADE] emacs24-el:amd64 24.5+1-7 -> 24.5+1-7.1
[UPGRADE] iio-sensor-proxy:amd64 1.3-1 -> 2.0-1
[UPGRADE] imagemagick:amd64 8:6.8.9.9-7.2+b1 -> 8:6.9.7.0+dfsg-2
[UPGRADE] imagemagick-6.q16:amd64 8:6.8.9.9-7.2+b1 -> 8:6.9.7.0+dfsg-2
[UPGRADE] imagemagick-common:amd64 8:6.8.9.9-7.2 -> 8:6.9.7.0+dfsg-2
[UPGRADE] inkscape:amd64 0.91-11 -> 0.92.0-3
[UPGRADE] iptables:amd64 1.6.0-3 -> 1.6.0+snapshot20161117-4
[UPGRADE] libboost-date-time1.61.0:amd64 1.61.0+dfsg-2.1+b1 -> 1.61.0+dfsg-3+b1
[UPGRADE] libboost-filesystem1.61.0:amd64 1.61.0+dfsg-2.1+b1 -> 1.61.0+dfsg-3+b1
[UPGRADE] libboost-iostreams1.61.0:amd64 1.61.0+dfsg-2.1+b1 -> 1.61.0+dfsg-3+b1
[UPGRADE] libboost-system1.61.0:amd64 1.61.0+dfsg-2.1+b1 -> 1.61.0+dfsg-3+b1
[UPGRADE] libfbclient2:amd64 2.5.6.27020.ds4-1+b1 -> 3.0.1.32609.ds4-12
[UPGRADE] libfreerdp-cache1.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libfreerdp-client1.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libfreerdp-codec1.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libfreerdp-common1.1.0:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libfreerdp-core1.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libfreerdp-crypto1.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libfreerdp-gdi1.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libfreerdp-locale1.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libfreerdp-primitives1.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libfreerdp-utils1.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libimage-magick-perl:amd64 8:6.8.9.9-7.2 -> 8:6.9.7.0+dfsg-2
[UPGRADE] libimage-magick-q16-perl:amd64 8:6.8.9.9-7.2+b1 -> 8:6.9.7.0+dfsg-2
[UPGRADE] libip4tc0:amd64 1.6.0-3 -> 1.6.0+snapshot20161117-4
[UPGRADE] libip6tc0:amd64 1.6.0-3 -> 1.6.0+snapshot20161117-4
[UPGRADE] libiptc0:amd64 1.6.0-3 -> 1.6.0+snapshot20161117-4
[UPGRADE] libllvm3.8:amd64 1:3.8.1-9 -> 1:3.8.1-16
[UPGRADE] libmm-glib0:amd64 1.6.2-1 -> 1.6.4-1
[UPGRADE] libqmi-glib5:amd64 1.16.0-1 -> 1.16.2-1
[UPGRADE] libqmi-proxy:amd64 1.16.0-1 -> 1.16.2-1
[UPGRADE] libreoffice:amd64 1:5.2.2~rc2-2 -> 1:5.2.4-2
[UPGRADE] libreoffice-avmedia-backend-gstreamer:amd64 1:5.2.2~rc2-2 -> 1:5.2.4-2
[UPGRADE] libreoffice-base:amd64 1:5.2.2~rc2-2 -> 1:5.2.4-2
[UPGRADE] libreoffice-base-core:amd64 1:5.2.2~rc2-2 -> 1:5.2.4-2
[UPGRADE] libreoffice-base-drivers:amd64 1:5.2.2~rc2-2 -> 1:5.2.4-2
[UPGRADE] libreoffice-calc:amd64 1:5.2.2~rc2-2 -> 1:5.2.4-2
[UPGRADE] libreoffice-core:amd64 1:5.2.2~rc2-2 -> 1:5.2.4-2
[UPGRADE] libreoffice-draw:amd64 1:5.2.2~rc2-2 -> 1:5.2.4-2
[UPGRADE] libreoffice-impress:amd64 1:5.2.2~rc2-2 -> 1:5.2.4-2
[UPGRADE] libreoffice-math:amd64 1:5.2.2~rc2-2 -> 1:5.2.4-2
[UPGRADE] libreoffice-pdfimport:amd64 1:5.2.2~rc2-2 -> 1:5.2.4-2
[UPGRADE] libreoffice-report-builder-bin:amd64 1:5.2.2~rc2-2 -> 1:5.2.4-2
[UPGRADE] libreoffice-sdbc-hsqldb:amd64 1:5.2.2~rc2-2 -> 1:5.2.4-2
[UPGRADE] libreoffice-writer:amd64 1:5.2.2~rc2-2 -> 1:5.2.4-2
[UPGRADE] libvncclient1:amd64 0.9.10+dfsg-3+b1 -> 0.9.11+dfsg-1
[UPGRADE] libwinpr-crt0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-crypto0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-dsparse0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-environment0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-file0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-handle0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-heap0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-input0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-interlocked0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-library0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-path0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-pool0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-registry0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-rpc0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-sspi0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-synch0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-sysinfo0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-thread0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] libwinpr-utils0.1:amd64 1.1.0~git20140921.1.440916e+dfsg1-10 -> 1.1.0~git20140921.1.440916e+dfsg1-11
[UPGRADE] lua-lpeg:amd64 0.12.2-1 -> 1.0.0-1
[UPGRADE] modemmanager:amd64 1.6.2-1 -> 1.6.4-1
[UPGRADE] python3-uno:amd64 1:5.2.2~rc2-2 -> 1:5.2.4-2
========================================

Log complete.

===============================================================================

 

Sáb, 28/01/2017 - 13:44
witopea
Imagen de witopea
Desconectado/a
se unió: 31/07/16

Ya me aparecen los iconos como podéis ver:

Aunque aún no tengo resuelto el problema. He instalado el paquete kde-plasma-desktop y así ya me aparecen los iconos, jaja. Me ha servido para ver el escritorio KDE que no usaba desde kde3. Pero ya estoy acostumbrado a mi openBox que me va genial. Ahora tendré que ver qué paquete es el que hace que se muestren los iconos de algunas aplicaciones KDE porque parece que van por ahí los tiros...

Saludos compañeros ;)

Mar, 24/01/2017 - 13:03
witopea
Imagen de witopea
Desconectado/a
se unió: 31/07/16

Ahora vuelvo a OpenBox pero se siguen sin ver los iconos :((

Mar, 24/01/2017 - 13:52
witopea
Imagen de witopea
Desconectado/a
se unió: 31/07/16

Lo conseguí. Sin mucha confianza agregué esto:

export XDG_CURRENT_DESKTOP=kde

al archivo /home/tu-usuario/.profile y ya me aparecen. Parece que es una variable de entorno que miran las aplicaciones para saber que el escritorio que usas es KDE.

Tomé la idea de <aquí>.

Saludos

Mar, 24/01/2017 - 16:07
witopea
Imagen de witopea
Desconectado/a
se unió: 31/07/16

Así quedó:

Ahora me surge otro problema :(.

El icono de la barra de tareas del programa de sincronización owncloud no aparece :((

Si le quito lo de export XDG_CURRENT_DESKTOP=kde, entoces vuelve a aparecer.

A ver qué hago...

Mar, 24/01/2017 - 19:55
rockyiii
Imagen de rockyiii
Desconectado/a
administrator
se unió: 11/01/16

yo hace mucho que no uso openbox, pero a lo mejor lo que necesitas es configurar los iconos y el theme desde el mismo openbox
http://www.emezeta.com/articulos/openbox-personalizar-escritorio-linux
http://blog.desdelinux.net/mejorar-la-apariencia-de-las-aplicaciones-gtk-3-y-qt-en-openbox/
 

saludos...

Mar, 24/01/2017 - 22:39
Berbellon
Imagen de Berbellon
Desconectado/a
colaborador
se unió: 04/05/16

Antes se usaba la herramienta qtconfig-qt4 para configurar las aplicaciones qt en entornos gtk. Pero ahora, uso qt5ct ... lo malo es que no esta en los repositorios de Debian,
https://fixmynix.com/change-qt5-application-style-with-qt5ct/ (warning: uso ArchLinux con openbox, Debian con Gnome) y más información en las wikis).

La segunda opción sería: Kwin es el window manager para KDE y en el pasado podía ser reemplazado por awesome, openbox ... En el poco tiempo que use LXQt (+ openbox), aunque consumía un poco mas de memoria que un openbox puro, era igual de eficiente. Lo menciono porque tienes "parte" de KDE instalado.

Saludos.

Mié, 25/01/2017 - 05:34
witopea
Imagen de witopea
Desconectado/a
se unió: 31/07/16

Hola.  Desinstalé  kde-plasma-desktop.  Sólo lo instalé para comprobar si ese problema se daba también con un escritorio KDE.  Seguiré investigando con lo que me comentáis. Os mantendré informado. 

Muchas gracias

Mié, 25/01/2017 - 12:46
caliban
Imagen de caliban
Conectado
moderador
se unió: 14/01/16

Intenta desinstalando/purgando  y volviendo a instalar 

Mié, 25/01/2017 - 17:22 (Responder a #12)
witopea
Imagen de witopea
Desconectado/a
se unió: 31/07/16

Sí, eso lo he probado y nada.

Incluso he probado con esto:

dpkg --purge `dpkg --get-selections | grep deinstall | cut -f1`

 

Jue, 26/01/2017 - 19:38
Panko
Imagen de Panko
Desconectado/a
moderador
se unió: 18/02/16

¿Y si ejecutas crusader desde una consola no te dice nada? Con suerte, dice que no encuentra/puede abrir algo. Por lo que veo en tus capturas, los iconos son los de Breeze de plasma/kde... y no aparecen en el log de la actualización que hiciste, así que no se hasta que punto afectaría (y según veo yo, breeze-icon-theme solo depende de hicolor-icon-theme). Si te aparecen instalando kde-plasma-desktop, éste mismo instalará como dependencia los iconos, y probablemente instalando solo el pack de iconos, volverás a tenerlos (el asunto estaría porque no usa los hicolor, que suelen estar instalados por defecto y es el que se usa en los sitemas si no existe algún icono en el juego que se ha seleccionado). También veo que, en aquella actualización, se te han actualizado algunas librerías version 5v5, las cuales se usaron durante la transición a plasma 5 y/o durante la transición de Qt, no recuerdo exactamente, y puede provocar incluso que se haya separado algún paquete de ellas y sea necesario instalarlo, qui lo sa...

  No hay bar que por bien no venga....
Sáb, 28/01/2017 - 07:24
witopea
Imagen de witopea
Desconectado/a
se unió: 31/07/16

Bueno voy a cerrar la consulta, resumo un poco. He realizado muchas pruebas :)) y seguiré hasta que quede bien soy muy testarudo jaja...

Tras actualizar el sistema me desaparecieron los iconos en Krusader.

Modificando el archivo .profile poniendo esto:

export XDG_CURRENT_DESKTOP=gnome

Me aparecen los iconos en Krusader y también el icono de otro programa OwnCloud en la barra de tareas de Tint2.

Os muestro un pantallazo de como ha quedado la cosa. 

Muchas gracias como siempre a todos ;))

Mar, 09/05/2017 - 16:36
witopea
Imagen de witopea
Desconectado/a
se unió: 31/07/16

He añadido la siguiente línea en el archivo "$HOME/.config/openbox/environment"

"export XDG_CURRENT_DESKTOP=gnome"

Creo que en mi caso es más correcto hacerlo ahí ya que ahí se pueden configurar las variables de entorno en Openbox.

Con lxappearance he configurado los temas de iconos para elegir los que más me agradaban.

Saludos